## barbican 14.0.2

=== debian/changelog ===
barbican (1:14.0.2-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Remove patch applied upstream:
    - CVE-2022-3100_...tring_were_mistakenly_being_used_in_the_RBAC_policy_engine.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 06 Nov 2025 09:36:37 +0000

barbican (1:14.0.0-4) UNRELEASED; urgency=medium

  * CVE-2022-3100: add upstream patch:
    query_string_were_mistakenly_being_used_in_the_RBAC_policy_engine.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Oct 2022 17:04:47 +0200

barbican (1:14.0.0-3) unstable; urgency=medium

  * Also blacklist test_should_raise_with_unsigned_pkcs10_data() in
    autopkgtest (Closes: #1012485).

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Jun 2022 10:58:03 +0200

barbican (1:14.0.0-2) unstable; urgency=medium

  * Blacklist test_should_raise_with_unsigned_pkcs10_data() (Closes: #1011703).

 -- Thomas Goirand <zigo@debian.org>  Tue, 31 May 2022 09:52:24 +0200

barbican (1:14.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 15:53:19 +0200

barbican (1:14.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 14:39:28 +0100

barbican (1:14.0.0~rc1-1) experimental; urgency=medium

  * New upsteram release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Mar 2022 18:17:50 +0100

=== debian/control ===
Source: barbican
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 alembic,
 bandit,
 python3-castellan,
 python3-cffi,
 python3-coverage,
 python3-cryptography,
 python3-dateutil,
 python3-eventlet,
 python3-falcon,
 python3-fixtures,
 python3-hacking <!nocheck>,
 python3-jsonschema,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-ldap3,
 python3-openssl,
 python3-openstackdocstheme <!nodoc>,
 python3-os-api-ref <!nodoc>,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest <!nocheck>,
 python3-paste,
 python3-pastedeploy,
 python3-pecan,
 python3-pep8 <!nocheck>,
 python3-pygments <!nocheck>,
 python3-pykmip <!nodoc>,
 python3-requests,
 python3-six,
 python3-sphinxcontrib.blockdiag <!nodoc>,
 python3-sphinxcontrib.httpdomain <!nodoc>,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-sqlalchemy,
 python3-stestr <!nocheck>,
 python3-stevedore,
 python3-tempest <!nocheck>,
 python3-testtools,
 python3-webob,
 python3-webtest,
 subunit,
 tempest <!nocheck>,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/barbican
Vcs-Git: https://salsa.debian.org/openstack-team/services/barbican.git
Homepage: https://github.com/openstack/barbican

Package: barbican-api
Architecture: all
Section: python
Depends:
 adduser,
 barbican-common (= ${binary:Version}),
 python3-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Key Management Service - API Server
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican API Server.

Package: barbican-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-barbican (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Key Management Service - common files
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains common files for Barbican.

Package: barbican-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Key Management Service - doc
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the documentation.

Package: barbican-keystone-listener
Architecture: all
Depends:
 barbican-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Key Management Service - Keystone Listener
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican Keystone Listener daemon.

Package: barbican-worker
Architecture: all
Depends:
 barbican-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Key Management Service - Worker Node
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican Worker Node.

Package: python3-barbican
Architecture: all
Section: python
Depends:
 alembic,
 python3-castellan,
 python3-cffi,
 python3-cryptography,
 python3-dateutil,
 python3-eventlet,
 python3-falcon,
 python3-jsonschema,
 python3-keystonemiddleware,
 python3-ldap3,
 python3-openssl,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-pecan,
 python3-pymysql,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Key Management Service - Python files
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Python files and libraries.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf build
	rm -rf barbican.sqlite
	rm -f debian/barbican-api.postinst debian/barbican-api.config debian/barbican-common.postinst debian/barbican-common.config debian/barbican-common.postrm

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func barbican-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func barbican-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func barbican-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func barbican-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm barbican-common.postrm
	pkgos-merge-templates barbican-api barbican endpoint
	pkgos-merge-templates barbican-common barbican db rabbit ksat

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --root=debian/tmp --install-layout=deb ; \
	done
# test_should_raise_with_unsigned_pkcs10_data see #1011703
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'barbican\.tests\.(?!(.*common.test_utils\.WhenTestingAcceptEncodingGetter\.test_get_correct_fullname_for_class.*|.*common\.test_utils\.WhenTestingGenerateFullClassnameForInstance\.test_returns_qualified_name.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificateEventPluginManager\.test_get_plugin_by_name.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificatePluginManager\.test_get_plugin_by_ca_id.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificatePluginManager\.test_get_plugin_by_name.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificatePluginManager\.test_refresh_ca_list.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_delete_secret_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_generate_asymmetric_key_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_generate_symmetric_key_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_opaque.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_private_key.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_public_key.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_symmetric.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_store_private_key_secret_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_store_symmetric_secret_assert_called.*|.*tasks\.test_keystone_consumer\.WhenUsingKeystoneEventConsumerProcessMethod\.test_existing_project_entities_cleanup_for_plain_secret.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_credential.*|.*test_hacking\.HackingTestCase\.test_logging_with_tuple_argument.*|.*common\.test_validators\.WhenTestingSecretMetadataValidator\.test_should_validate_all_fields_and_make_key_lowercase.*|.*test_hacking\.HackingTestCase\.test_str_on_exception.*|.*test_hacking\.HackingTestCase\.test_str_on_multiple_exceptions.*|.*test_hacking\.HackingTestCase\.test_str_unicode_on_multiple_exceptions.*|.*test_hacking\.HackingTestCase\.test_unicode_on_exception.*|.*common\.test_validators\.WhenTestingSimpleCMCOrderValidator\.test_should_raise_with_unsigned_pkcs10_data.*))'
endif

	# Generate the barbican.conf config using installed python-barbican files.
	mkdir -p $(CURDIR)/debian/barbican-common/usr/share/barbican-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/barbican-common/usr/share/barbican-common/barbican.conf \
		--wrap-width 140 \
		--namespace barbican.certificate.plugin \
		--namespace barbican.certificate.plugin.snakeoil \
		--namespace barbican.common.config \
		--namespace barbican.plugin.crypto \
		--namespace barbican.plugin.crypto.p11 \
		--namespace barbican.plugin.crypto.simple \
		--namespace barbican.plugin.dogtag \
		--namespace barbican.plugin.secret_store \
		--namespace barbican.plugin.secret_store.kmip \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.policy \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.sslutils \
		--namespace oslo.service.wsgi
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/barbican-common/usr/share/barbican-common/barbican.conf keystone_authtoken barbican

	# Same with policy.conf
	mkdir -p $(CURDIR)/debian/barbican-common/etc/barbican/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/barbican-common/etc/barbican/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace barbican

	# Comment out deprecated policies, otherwise, the policy doesn't work
	sed -i 's/^"/#"/' $(CURDIR)/debian/barbican-common/etc/barbican/policy.d/00_default_policy.yaml

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/barbican-common/usr/share/barbican-common/barbican.conf oslo_policy policy_dirs /etc/barbican/policy.d


	# Restore sanity...
	pkgos-fix-config-default $(CURDIR)/debian/barbican-common/usr/share/barbican-common/barbican.conf keystone_notifications enable True

	dh_install
	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_missing --fail-missing

	# Installing the other config files.
	for i in api_audit_map.conf barbican-api-paste.ini barbican-functional.conf ; do \
		install -D -m 0664 etc/barbican/$$i $(CURDIR)/debian/barbican-common/usr/share/barbican-common/$$i ; \
	done

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/barbican-doc/usr/share/doc/barbican-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## barbican 15.0.0

=== debian/changelog ===
barbican (2:15.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 15.x.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 14:26:49 -0400

barbican (2:14.0.0+git2022091212.304d5c04-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 12:36:34 -0400

barbican (2:14.0.0+git2022071413.ae22ab00-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/barbican-common.postinst: CIS hardening update to switch adduser to use
    /usr/sbin/nologin when creating system account that does not run a shell.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2022 13:23:06 -0400

barbican (2:14.0.0+git2022060116.4bb724c5-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Jun 2022 16:15:24 -0400

## barbican 15.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
alembic>=0.8.10 # MIT
cffi>=1.7.0 # MIT
cryptography>=2.1 # BSD/Apache-2.0
eventlet>=0.18.2,!=0.18.3,!=0.20.1  # MIT
jsonschema>=3.2.0 # MIT
oslo.config>=6.4.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.log>=4.3.0 # Apache-2.0
oslo.policy>=3.6.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
pyOpenSSL>=17.1.0 # Apache-2.0
ldap3>=1.0.2 # LGPLv3
keystonemiddleware>=5.1.0 # Apache-2.0
six>=1.10.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
stevedore>=1.20.0 # Apache-2.0
WebOb>=1.7.1 # MIT
castellan >= 1.2.1 # Apache-2.0
microversion-parse>=0.2.1 # Apache-2.0

=== debian/changelog ===
barbican (1:15.0.1-2) unstable; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 10:19:44 +0200

barbican (1:15.0.1-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Feb 2023 09:12:35 +0100

barbican (1:15.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Oct 2022 10:37:38 +0200

barbican (1:15.0.0~rc3-1) unstable; urgency=high

  * New upstream release:
    - fix CVE-2022-3100: incorrectly parsed requests which could allow an
       authenticated user to bypass Barbican access policy (Closes: #1021139).

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Oct 2022 11:34:10 +0200

barbican (1:15.0.0~rc1-1) unstable; urgency=medium

  * Start barbican services after frr.
  * New upstream release.
  * Add python3-microversion-parse as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Sep 2022 09:13:18 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools,
+ openstack-pkg-tools (>= 123~),
  po-debconf,
  python3-all,
  python3-pbr,
@@ -30,6 +30,7 @@
  python3-keystoneclient,
  python3-keystonemiddleware,
  python3-ldap3,
+ python3-microversion-parse,
  python3-openssl,
  python3-openstackdocstheme <!nodoc>,
  python3-os-api-ref <!nodoc>,
@@ -166,6 +167,7 @@
  python3-jsonschema,
  python3-keystonemiddleware,
  python3-ldap3,
+ python3-microversion-parse,
  python3-openssl,
  python3-oslo.concurrency,
  python3-oslo.config,

## barbican 16.0.0~rc1

=== debian/changelog ===
barbican (2:16.0.0~rc1-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Mar 2023 11:12:21 -0500

barbican (2:15.0.1+git2023011009.aba0bd07-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.
  * d/py3dist-overrides: Added to ignore ldap3.
  * d/p/ldap3-to-ldap.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 09:33:00 -0500

## barbican 16.0.0

=== debian/changelog ===
barbican (2:16.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 14:16:52 -0400

=== debian/control ===
Source: barbican
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 apache2-dev,
 debhelper-compat (= 13),
 dh-apache2,
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-castellan (>= 3.0.1),
 python3-cffi (>= 1.7.0),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.1),
 python3-ddt (>= 1.0.1),
 python3-doc8,
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-hacking,
 python3-jsonschema (>= 3.2.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 9.5.0),
 python3-ldap (>= 3.0.0),
 python3-microversion-parse (>= 0.2.1),
 python3-mock (>= 2.0.0),
 python3-openssl (>= 17.1.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.5.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.config (>= 1:6.4.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.2.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pecan (>= 1.0.0),
 python3-pep8,
 python3-pygments (>= 2.2.0),
 python3-pykmip (>= 0.7.0),
 python3-reno,
 python3-requests (>= 2.18.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.blockdiag (>= 1.5.4),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-tempest (>= 1:17.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/barbican
Homepage: https://opendev.org/openstack/barbican
Testsuite: autopkgtest-pkg-python

Package: barbican-api
Architecture: all
Depends:
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-barbican (= ${binary:Version}),
 ${misc:Depends},
Recommends:
 ${misc:Recommends},
Description: OpenStack Key Management Service - API Server
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican API Server.

Package: barbican-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Description: OpenStack Key Management Service - common files
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains common files for Barbican.

Package: barbican-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Key Management Service - doc
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the documentation.

Package: barbican-keystone-listener
Architecture: all
Depends:
 python3-barbican (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Key Management Service - Keystone Listener
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican Keystone Listener daemon.

Package: barbican-worker
Architecture: all
Depends:
 python3-barbican (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Key Management Service - Worker Node
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican Worker Node.

Package: python3-barbican
Architecture: all
Section: python
Depends:
 barbican-common (= ${binary:Version}),
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-castellan (>= 3.0.1),
 python3-cffi (>= 1.7.0),
 python3-cryptography (>= 2.1),
 python3-eventlet (>= 0.18.2),
 python3-jsonschema (>= 3.2.0),
 python3-keystonemiddleware (>= 9.5.0),
 python3-ldap (>= 3.0.0),
 python3-microversion-parse (>= 0.2.1),
 python3-openssl (>= 17.1.0),
 python3-oslo.config (>= 1:6.4.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-pecan (>= 1.0.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-pykmip (>= 0.8.0),
Recommends:
 python3-pymysql,
Description: OpenStack Key Management Service - Python 3 files
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Python 3 files and libraries.

## barbican 16.0.0+git2023071213.d929cd84

=== debian/changelog ===
barbican (2:16.0.0+git2023071213.d929cd84-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jul 2023 13:58:18 -0400

## barbican 16.0.2

=== requirements.txt ===
--- 
+++ 
@@ -25,8 +25,7 @@
 pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
 pyOpenSSL>=17.1.0 # Apache-2.0
 ldap3>=1.0.2 # LGPLv3
-keystonemiddleware>=5.1.0 # Apache-2.0
-six>=1.10.0 # MIT
+keystonemiddleware>=9.5.0 # Apache-2.0
 SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
 stevedore>=1.20.0 # Apache-2.0
 WebOb>=1.7.1 # MIT

=== debian/changelog ===
barbican (1:16.0.2-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Fri, 26 Sep 2025 07:57:35 +0000

barbican (1:16.0.0-4) unstable; urgency=medium

  * Correctly cleans built files (Closes: #1043644).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Aug 2023 11:49:23 +0200

barbican (1:16.0.0-3) unstable; urgency=medium

  * Uploading to unstable.
  * Removed obsolete lsb-base depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 13:44:56 +0200

barbican (1:16.0.0-2) experimental; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 10:20:33 +0200

barbican (1:16.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 13:09:19 +0100

barbican (1:16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Mar 2023 15:38:19 +0100

=== debian/control ===
Source: barbican
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 alembic,
 bandit,
 python3-castellan,
 python3-cffi,
 python3-coverage,
 python3-cryptography,
 python3-dateutil,
 python3-eventlet,
 python3-falcon,
 python3-fixtures,
 python3-hacking <!nocheck>,
 python3-jsonschema,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-ldap3,
 python3-microversion-parse,
 python3-openssl,
 python3-openstackdocstheme <!nodoc>,
 python3-os-api-ref <!nodoc>,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest <!nocheck>,
 python3-paste,
 python3-pastedeploy,
 python3-pecan,
 python3-pep8 <!nocheck>,
 python3-pygments <!nocheck>,
 python3-pykmip <!nodoc>,
 python3-requests,
 python3-sphinxcontrib.blockdiag <!nodoc>,
 python3-sphinxcontrib.httpdomain <!nodoc>,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-sqlalchemy,
 python3-stestr <!nocheck>,
 python3-stevedore,
 python3-tempest <!nocheck>,
 python3-testtools,
 python3-webob,
 python3-webtest,
 subunit,
 tempest <!nocheck>,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/barbican
Vcs-Git: https://salsa.debian.org/openstack-team/services/barbican.git
Homepage: https://github.com/openstack/barbican

Package: barbican-api
Architecture: all
Section: python
Depends:
 adduser,
 barbican-common (= ${binary:Version}),
 python3-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Key Management Service - API Server
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican API Server.

Package: barbican-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-barbican (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Key Management Service - common files
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains common files for Barbican.

Package: barbican-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Key Management Service - doc
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the documentation.

Package: barbican-keystone-listener
Architecture: all
Depends:
 barbican-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Key Management Service - Keystone Listener
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican Keystone Listener daemon.

Package: barbican-worker
Architecture: all
Depends:
 barbican-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Key Management Service - Worker Node
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican Worker Node.

Package: python3-barbican
Architecture: all
Section: python
Depends:
 alembic,
 python3-castellan,
 python3-cffi,
 python3-cryptography,
 python3-dateutil,
 python3-eventlet,
 python3-falcon,
 python3-jsonschema,
 python3-keystonemiddleware,
 python3-ldap3,
 python3-microversion-parse,
 python3-openssl,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-paste,
 python3-pastedeploy,
 python3-pbr,
 python3-pecan,
 python3-pymysql,
 python3-sqlalchemy,
 python3-stevedore,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Key Management Service - Python files
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Python files and libraries.

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,10 @@
 	rm -rf build
 	rm -rf barbican.sqlite
 	rm -f debian/barbican-api.postinst debian/barbican-api.config debian/barbican-common.postinst debian/barbican-common.config debian/barbican-common.postrm
+	find $(CURDIR) -type f -iname '*.pyc' -delete || true
+	find $(CURDIR) -type d -iname __pycache__ -exec rm -rf {} \; || true
+	rm -rf *.egg-info || true
+	rm -f doc/source/_static/barbican.conf.sample doc/source/_static/barbican.policy.yaml.sample
 
 override_dh_auto_build:
 	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func barbican-api.postinst

## barbican 17.0.0

=== requirements.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 oslo.context>=2.22.0 # Apache-2.0
 oslo.db>=4.27.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
-oslo.messaging>=5.29.0 # Apache-2.0
+oslo.messaging>=14.1.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
 oslo.log>=4.3.0 # Apache-2.0
 oslo.policy>=3.6.0 # Apache-2.0

=== debian/changelog ===
barbican (2:17.0.0-0ubuntu2~cloud0) jammy-bobcat; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 05 Oct 2023 22:50:49 +0000

barbican (2:17.0.0-0ubuntu2) mantic; urgency=medium

  * d/p/install-missing-db-files.patch: Install missing db files, including
    barbican/model/migration/ files.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 05 Oct 2023 17:12:43 -0400

barbican (2:17.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 08:47:37 -0400

barbican (2:16.0.0+git2023090509.c8e3dc14-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Sep 2023 09:14:10 -0400

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/barbican/ barbican-(\d.*)\.tar\.gz

## barbican 17.0.0+git2024011915.73de2e8c

=== debian/changelog ===
barbican (2:17.0.0+git2024011915.73de2e8c-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Jan 2024 15:51:51 +0000

## barbican 18.0.0

=== debian/changelog ===
barbican (1:18.0.0-2~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Fri, 25 Jul 2025 10:09:59 +0000

barbican (1:18.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Disable test_keystone_listener.WhenUsingNotificationTask.* that needs
    further configuration to not fail.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 09:01:02 +0200

barbican (1:18.0.0~rc1-1) experimental; urgency=medium

  * Add close-on-exec{2,} = true in uwsgi config.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Mar 2024 11:56:50 +0100

barbican (1:17.0.0-2) unstable; urgency=medium

  * Add missing namespaces when generating barbican.conf.

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Oct 2023 14:16:40 +0200

barbican (1:17.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 23:11:22 +0200

barbican (1:17.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Sep 2023 16:02:23 +0200

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
  python3-oslo.db,
  python3-oslo.i18n,
  python3-oslo.log,
- python3-oslo.messaging,
+ python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware,
  python3-oslo.policy (>= 3.6.0),
  python3-oslo.serialization,
@@ -171,7 +171,7 @@
  python3-oslo.db,
  python3-oslo.i18n,
  python3-oslo.log,
- python3-oslo.messaging,
+ python3-oslo.messaging (>= 14.1.0),
  python3-oslo.middleware,
  python3-oslo.policy (>= 3.6.0),
  python3-oslo.serialization,

=== debian/rules ===
--- 
+++ 
@@ -8,11 +8,11 @@
 override_dh_auto_clean:
 	rm -f debian/*.init debian/*.service debian/*.upstart
 	rm -rf build
-	rm -rf barbican.sqlite
+	rm -rf barbican.sqlite debian/po debian/barbican-api.templates debian/barbican-common.templates
 	rm -f debian/barbican-api.postinst debian/barbican-api.config debian/barbican-common.postinst debian/barbican-common.config debian/barbican-common.postrm
 	find $(CURDIR) -type f -iname '*.pyc' -delete || true
 	find $(CURDIR) -type d -iname __pycache__ -exec rm -rf {} \; || true
-	rm -rf *.egg-info || true
+	rm -rf *.egg-info
 	rm -f doc/source/_static/barbican.conf.sample doc/source/_static/barbican.policy.yaml.sample
 
 override_dh_auto_build:
@@ -36,7 +36,9 @@
 	done
 # test_should_raise_with_unsigned_pkcs10_data see #1011703
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'barbican\.tests\.(?!(.*common.test_utils\.WhenTestingAcceptEncodingGetter\.test_get_correct_fullname_for_class.*|.*common\.test_utils\.WhenTestingGenerateFullClassnameForInstance\.test_returns_qualified_name.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificateEventPluginManager\.test_get_plugin_by_name.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificatePluginManager\.test_get_plugin_by_ca_id.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificatePluginManager\.test_get_plugin_by_name.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificatePluginManager\.test_refresh_ca_list.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_delete_secret_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_generate_asymmetric_key_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_generate_symmetric_key_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_opaque.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_private_key.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_public_key.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_symmetric.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_store_private_key_secret_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_store_symmetric_secret_assert_called.*|.*tasks\.test_keystone_consumer\.WhenUsingKeystoneEventConsumerProcessMethod\.test_existing_project_entities_cleanup_for_plain_secret.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_credential.*|.*test_hacking\.HackingTestCase\.test_logging_with_tuple_argument.*|.*common\.test_validators\.WhenTestingSecretMetadataValidator\.test_should_validate_all_fields_and_make_key_lowercase.*|.*test_hacking\.HackingTestCase\.test_str_on_exception.*|.*test_hacking\.HackingTestCase\.test_str_on_multiple_exceptions.*|.*test_hacking\.HackingTestCase\.test_str_unicode_on_multiple_exceptions.*|.*test_hacking\.HackingTestCase\.test_unicode_on_exception.*|.*common\.test_validators\.WhenTestingSimpleCMCOrderValidator\.test_should_raise_with_unsigned_pkcs10_data.*))'
+	# This needs further setup. Let's disable it for now:
+	# barbican.tests.queue.test_keystone_listener.WhenUsingNotificationTask.*
+	pkgos-dh_auto_test --no-py2 'barbican\.tests\.(?!(.*common.test_utils\.WhenTestingAcceptEncodingGetter\.test_get_correct_fullname_for_class.*|.*common\.test_utils\.WhenTestingGenerateFullClassnameForInstance\.test_returns_qualified_name.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificateEventPluginManager\.test_get_plugin_by_name.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificatePluginManager\.test_get_plugin_by_ca_id.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificatePluginManager\.test_get_plugin_by_name.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificatePluginManager\.test_refresh_ca_list.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_delete_secret_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_generate_asymmetric_key_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_generate_symmetric_key_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_opaque.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_private_key.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_public_key.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_symmetric.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_store_private_key_secret_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_store_symmetric_secret_assert_called.*|.*tasks\.test_keystone_consumer\.WhenUsingKeystoneEventConsumerProcessMethod\.test_existing_project_entities_cleanup_for_plain_secret.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_credential.*|.*test_hacking\.HackingTestCase\.test_logging_with_tuple_argument.*|.*common\.test_validators\.WhenTestingSecretMetadataValidator\.test_should_validate_all_fields_and_make_key_lowercase.*|.*test_hacking\.HackingTestCase\.test_str_on_exception.*|.*test_hacking\.HackingTestCase\.test_str_on_multiple_exceptions.*|.*test_hacking\.HackingTestCase\.test_str_unicode_on_multiple_exceptions.*|.*test_hacking\.HackingTestCase\.test_unicode_on_exception.*|.*common\.test_validators\.WhenTestingSimpleCMCOrderValidator\.test_should_raise_with_unsigned_pkcs10_data.*|.*test_keystone_listener\.WhenUsingNotificationTask.*))'
 endif
 
 	# Generate the barbican.conf config using installed python-barbican files.
@@ -53,13 +55,17 @@
 		--namespace barbican.plugin.dogtag \
 		--namespace barbican.plugin.secret_store \
 		--namespace barbican.plugin.secret_store.kmip \
+		--namespace barbican.plugin.secret_store.vault \
+		--namespace keystonemiddleware.audit \
 		--namespace keystonemiddleware.auth_token \
 		--namespace oslo.log \
 		--namespace oslo.messaging \
 		--namespace oslo.middleware.cors \
+		--namespace oslo.middleware.healthcheck \
 		--namespace oslo.middleware.http_proxy_to_wsgi \
 		--namespace oslo.policy \
 		--namespace oslo.service.periodic_task \
+		--namespace oslo.service.service \
 		--namespace oslo.service.sslutils \
 		--namespace oslo.service.wsgi
 	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/barbican-common/usr/share/barbican-common/barbican.conf keystone_authtoken barbican
